| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxPGPropArgCls Class Reference

`#include <wx/propgrid/propgridiface.h>`

## Detailed Description

Most property grid functions have this type as their argument, as it can convey a property by either a pointer or name.

## Public Member Functions

| wxPGPropArgCls (const wxPGProperty *property)
| wxPGPropArgCls (const wxString &str)
| wxPGPropArgCls (const wxPGPropArgCls &id)
| wxPGPropArgCls (wxString *str, bool deallocPtr)
| ~wxPGPropArgCls ()
wxPGProperty * | GetPtr () const
| wxPGPropArgCls (const char *str)
| wxPGPropArgCls (const wchar_t *str)
| wxPGPropArgCls (int)
| This constructor is required for NULL. More...
wxPGProperty * | GetPtr (wxPropertyGridInterface *iface) const
wxPGProperty * | GetPtr (const wxPropertyGridInterface *iface) const
wxPGProperty * | GetPtr0 () const
bool | HasName () const
const wxString & | GetName () const

## Constructor & Destructor Documentation

wxPGPropArgCls::wxPGPropArgCls | ( | const wxPGProperty * | property | ) |

wxPGPropArgCls::wxPGPropArgCls | ( | const wxString & | str | ) |

wxPGPropArgCls::wxPGPropArgCls | ( | const wxPGPropArgCls & | id | ) |

wxPGPropArgCls::wxPGPropArgCls | ( | wxString * | str,
|  | bool | deallocPtr
| ) |  |

wxPGPropArgCls::~wxPGPropArgCls | ( |  | ) |

wxPGPropArgCls::wxPGPropArgCls | ( | const char * | str | ) |

wxPGPropArgCls::wxPGPropArgCls | ( | const wchar_t * | str | ) |

wxPGPropArgCls::wxPGPropArgCls | ( | int |  | ) |

This constructor is required for NULL.

## Member Function Documentation

const wxString& wxPGPropArgCls::GetName | ( |  | ) | const

wxPGProperty* wxPGPropArgCls::GetPtr | ( |  | ) | const

wxPGProperty* wxPGPropArgCls::GetPtr | ( | wxPropertyGridInterface * | iface | ) | const

wxPGProperty* wxPGPropArgCls::GetPtr | ( | const wxPropertyGridInterface * | iface | ) | const

wxPGProperty* wxPGPropArgCls::GetPtr0 | ( |  | ) | const

bool wxPGPropArgCls::HasName | ( |  | ) | const